#
# spec file for package proxy-suite (Version 1.7.tp8)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  -proxy-suite-ssl autoconf automake ctags ghostscript-fonts-std ghostscript-library ghostscript-serv glib gppshare libjpeg libpng openldap sgmltool sp sp-devel tcpd xshared
# usedforbuild    -proxy-suite-ssl aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib ctags cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext ghostscript-fonts-std ghostscript-library ghostscript-serv glib glibc glibc-devel gpm gppshare grep groff gzip kbd less libjpeg libpng libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap pam pam-devel patch perl ps rcs readline rpm sendmail sgmltool sh-utils shadow sp sp-devel strace syslogd sysvinit tcpd texinfo textutils timezone unzip util-linux vim xshared

Name:         proxy-suite
Summary:      The SuSE Proxy Suite - FTP-Proxy
Group:        Networking/Security
Copyright:    Copyright (C) 1999 SuSE Rhein/Main AG, Eschborn, Germany.
Version:      1.7.tp8
Release:      26
Provides:     ftp-proxy fwproxy
Obsoletes:    fwproxy
Autoreqprov:  on
Source0:      ftp://ftp.suse.com/pub/projects/proxy-suite/src/proxy-suite-1.7.tar.gz
Patch0:       proxy-suite-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-root

%description
FTP-Proxy relays FTP connections in a secure way between clients
and servers.  It provides security features like command restriction,
argument scanning and port ranges.  User actions can easily be audited.
FTP-Proxy is fully RFC 959, 1123, 1579 and 2428 compliant.

Authors:
--------
    Volker Wiegand <volker.wiegand@suse.de> 
    Jens-Gero Boehm <jens-gero.boehm@suse.de>de> 
    Pieter Hollants <pieter.hollants@suse.de> 
    Marius Tomaschewski <mt@suse.de>

SuSE series: sec

%prep
%setup -n proxy-suite-1.7
%patch0

%build
%{?suse_update_config:%{suse_update_config -f}}
aclocal
autoheader
autoconf
rm -f stamp-h.in
touch stamp-h.in
export CFLAGS="-pipe $RPM_OPT_FLAGS"
./configure --prefix=/usr --mandir=%{_mandir} \
   --sysconfdir=/etc/proxy-suite --localstatedir=/var/run \
   --enable-so-linger --enable-rfc1579 --disable-rfc2428 \
   --with-regex --with-libwrap --with-libldap \
   --disable-proc-mods --enable-warnings --enable-static
make
strip --strip-debug ftp-proxy/ftp-proxy

%install
export RPM_DOC_DIR
export RPM_BUILD_ROOT
export RPM_SOURCE_DIR
mkdir -p $RPM_BUILD_ROOT/etc/proxy-suite
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/%{_mandir}
mkdir -p $RPM_BUILD_ROOT/var/run
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
prefix=$RPM_BUILD_ROOT/usr SBIN_DIR=$RPM_BUILD_ROOT/usr/sbin \
  MAN_DIR=$RPM_BUILD_ROOT/%{_mandir} ETC_DIR=$RPM_BUILD_ROOT/etc/proxy-suite \
  make install -e
test -d $RPM_BUILD_ROOT/var/ftp-proxy/rundir ||
   install -d -m750 $RPM_BUILD_ROOT/var/ftp-proxy/rundir
test -x /usr/bin/gs || ln -sf gs_serv /usr/bin/gs
mkdir -p ftp/html
cp ftp-proxy/{FAQ,TODO,SYSLOG,*-Mini-Howto.txt} ftp/
cp doc/*.html                              ftp/html/
for f in doc/*.ps ; do
  ps2pdf $f "ftp/$(basename $f .ps).pdf"
done
install -m 755 ftp-proxy/rc.script.ftp-proxy \
	$RPM_BUILD_ROOT/etc/init.d/ftp-proxy
ln -sf ../../etc/init.d/ftp-proxy $RPM_BUILD_ROOT/usr/sbin/rcftp-proxy
install -m 644 ftp-proxy/rc.config.ftp-proxy \
	$RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.ftp-proxy

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.ftp-proxy
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.ftp-proxy"
  echo "and update by hand."
fi
# Create symbolic run level links during installation
sbin/insserv etc/init.d/ftp-proxy

%postun
# Rearrange run level symlinks after removing the init script
sbin/insserv etc/init.d/

%files
%doc ftp AUTHORS COPYING CREDITS INSTALL CHANGES.mt
%config(noreplace) /etc/proxy-suite/ftp-proxy.conf
%dir /etc/proxy-suite
%dir /var/ftp-proxy/rundir
%{_mandir}/man5/ftp-proxy.conf.5*
%{_mandir}/man8/ftp-proxy.8*
/etc/init.d/ftp-proxy
/usr/sbin/ftp-proxy
/usr/sbin/rcftp-proxy
/var/adm/fillup-templates/rc.config.ftp-proxy

%changelog -n proxy-suite
* Wed Sep 19 2001 - mt@suse.de
- renamed proxy-suite-1.7.dif to proxy-suite-1.7<PATCHLEVEL>.dif
- fixed sample run level script to be LSB compliant (I hope it is now)
- added Solaris FIONREAD (broken pipe) patch from Stefan Landvoigt
* Wed Aug 15 2001 - mt@suse.de
- added tcpd to neededforbuild
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Fri Jul 20 2001 - mt@suse.de
- updated to 1.7tp7
- added glib and gppshare to neededforbuild (needed by ghostscript)
* Fri Jul 20 2001 - kukuk@suse.de
- changed neededforbuild <gs_fonts> to <ghostscript-fonts-std>
- changed neededforbuild <gs_lib> to <ghostscript-library>
- changed neededforbuild <gs_serv> to <ghostscript-serv>
* Thu Jul 19 2001 - schwab@suse.de
- Add %%suse_update_config.
* Tue Jun 05 2001 - mt@suse.de
- updated to 1.7tp6 (bugfix release)
* Tue Jan 02 2001 - olh@suse.de
- use script name in %%post
* Fri Dec 01 2000 - mt@suse.de
- added mkdir $RPM_BUILD_ROOT/sbin in spec
* Fri Dec 01 2000 - mt@suse.de
- moved run-level scripts from sbin/init.d to etc/init.d
* Thu Nov 30 2000 - mt@suse.de
- extended run-level script to support chroot env
- written ftp-proxy-chroot.txt readme
* Wed Nov 22 2000 - mt@suse.de
- changed to insserv installation of run level links (LSB)
- added BuildRoot in spec file
* Wed Nov 08 2000 - mt@suse.de
- added Obsoletes-Flag for fwproxy in spec file
* Wed Nov 08 2000 - mt@suse.de
- updated to 1.7.tp5 with transparent proxying support
- renamed package from fwproxy to proxy-suite
* Mon Sep 18 2000 - mt@suse.de
- fixed daemon_cleanup
* Tue Sep 12 2000 - mt@suse.de
- disabled RFC2428 extensions (are not implemented now)
* Mon Jul 03 2000 - mt@suse.de
- stripped binary
* Thu Jun 29 2000 - mt@suse.de
- updated to 1.7
* Wed Mar 01 2000 - uli@suse.de
- moved man pages to /usr/share
* Mon Jan 31 2000 - ro@suse.de
- call gnuctags instead of ctags
* Mon Oct 04 1999 - mt@suse.de
- new version proxy-suite-1.5
